Skip to main content
PATCH
Update article

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

articleId
string
required

The unique identifier of the article to update.

Body

application/json
accessGroupIds
object
required

An object representing the IDs of access groups that can view the article.

accessType
object
required

An object defining the access level for the article. Can be PUBLIC, ACCESS_GROUP_MEMBERSHIP, or SSO_LOGIN.

archived
object
required

An object indicating whether the article is archived.

archivedInDashboard
object
required

An object indicating whether the article is archived in the dashboard.

body
object
required

The main content of the article, represented as an object.

categoryId
object
required

The identifier for the category to which the article belongs, represented as an object.

metaDescription
object
required

A brief description of the article for SEO purposes, represented as an object.

path
object
required

The URL path for the article, represented as an object.

subtitle
object
required

The subtitle of the article, represented as an object.

tagIds
object
required

An object representing the tags associated with the article.

title
object
required

The title of the article, represented as an object.

translationOfId
object
required

An object representing the ID of the original article if this is a translation.

Response

default - */*

Represents an error response returned by the API when an operation fails. This component is used in various endpoints to provide detailed information about the error encountered.

category
string
required

The error category

correlationId
string<uuid>
required

A unique identifier for the request. Include this value with any error reports or support tickets

Example:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
required

A human readable message describing the error along with remediation steps where appropriate

Example:

"An error occurred"

context
object

Context about the error condition

Example:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

further information about the error

A map of link names to associated URIs containing documentation about the error or recommended remediation steps

subCategory
string

A specific category that contains more specific detail about the error

Last modified on September 21, 2026